import { DoesFilterPassParams, FilterHandler, FilterHandlerParams } from 'ag-grid-enterprise';
import { AdaptableApi } from '../Api/AdaptableApi';
import { ColumnSetupInfo } from '../AdaptableState/Common/ColumnSetupInfo';
import { InFilterValue } from '../AdaptableOptions/FilterOptions';
export declare class AdaptableFilterHandler implements FilterHandler {
    private adaptableApi;
    readonly colId: string;
    private filterDisplayValues;
    constructor(adaptableApi: AdaptableApi, columnSetup: ColumnSetupInfo);
    doesFilterPass(params: DoesFilterPassParams): boolean;
    getFilterDisplayValues(currentSearchValue: string): Promise<InFilterValue[]>;
    onNewRowsLoaded(): void;
    onAnyFilterChanged(): void;
    resetFilterDisplayValues(): void;
    refreshFilterDisplayValues(): Promise<InFilterValue<any>[]>;
    refresh(params: FilterHandlerParams<any, any, any, any>): void;
    destroy(): void;
}
